Consultar status do processamento

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
GET /transformersapi/1.0/dag_status/{dag_id}

Consultar status do processamento.

Path parameters

  • dag_id string Required

    Identificador do processo de indexação

application/json

Body

Identificador único da execução

  • Obrigatório quando: index_elastic não for informado
string string

Responses

  • 200 application/json

    Requisição processada com sucesso. Retorna os dados correspondentes ao filtro informado.

    Hide response attributes Show response attributes object
    • totalElements number
    • page number
    • size number
    • hasMorePages boolean
    • runs array[object]
      Hide runs attributes Show runs attributes object
      • dag_id string
      • run_id string
      • task_id string
      • index_elastic string
      • status string
      • start_time string
      • end_time string
      • duration_seconds number
      • prompt_token_count number
      • generation_token_count number
      • log_description string
  • 400 application/json

    Requisição inválida. Verifique a sintaxe do corpo e os campos obrigatórios.

    Hide response attribute Show response attribute object
    • detail string
  • 401 application/json

    Token de autenticação ausente ou inválido. Envie o header Authorization: Bearer {token}.

    Hide response attribute Show response attribute object
    • status string
  • 406 application/json

    Formato de requisição não aceito. Verifique os cabeçalhos Content-Type/Accept.

    Hide response attribute Show response attribute object
    • detail string
  • 500 application/json

    Erro interno no servidor. Tente novamente mais tarde ou contate o suporte Neppo.

    Hide response attribute Show response attribute object
    • detail string
GET /transformersapi/1.0/dag_status/{dag_id}
curl \
 --request GET 'https://api.neppo.com.br/transformersapi/1.0/dag_status/{dag_id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '"string"'
Request examples
string
Response examples (200)
{
  "totalElements": 3,
  "page": 1,
  "size": 10,
  "hasMorePages": false,
  "runs": [
    {
      "dag_id": "process_knowledge_base",
      "run_id": "manual__2025-01-15T10:30:00+00:00",
      "task_id": "index_documents",
      "index_elastic": "base_conhecimento_v1",
      "status": "success",
      "start_time": "2025-01-15T10:30:00Z",
      "end_time": "2025-01-15T10:32:45Z",
      "duration_seconds": 165,
      "prompt_token_count": 1024,
      "generation_token_count": 512,
      "log_description": "Indexação concluída com sucesso."
    }
  ]
}
Response examples (400)
{
  "detail": "É necessário informar 'run_id' ou 'index_elastic'."
}
Response examples (401)
{
  "status": "Unauthorized"
}
Response examples (406)
{
  "detail": "Token inválido."
}
Response examples (500)
{
  "detail": "Erro interno ao buscar status do processo de indexação."
}